/* Copyright (C) 2006 Ikanos Communications 
 * See IKANOS_PROP_LICENSE.txt for license information. */

#ifndef _ATMENCAP_H_
#define _ATMENCAP_H_

//Originally were defined in atmhost.h

// Encapsulation ID and types
#ifdef CONFIG_FUSIV_VX185

#define ENCAPIDROUTEDLLCPPPOA         0
#define ENCAPIDROUTEDLLCPPPOASESSION  1
#define ENCAPIDROUTEDLLCIPOA          2
#define ENCAPIDROUTEDLLCARPOA         3
#define ENCAPIDBRIDGEDLLC8023         4
#define ENCAPIDBRIDGEDLLC8021D        5
#define ENCAPIDBRIDGEDLLC8024         6
#define ENCAPIDBRIDGEDLLC8025         7
#define ENCAPIDBRIDGEDLLCFDDI         8
#define ENCAPIDBRIDGEDLLC8026         9
#define ENCAPIDBRIDGEDLLCFRAGMENT     10
#define ENCAPIDBRIDGEDLLC8023FCS      11
#define ENCAPIDBRIDGEDLLC8024FCS      12
#define ENCAPIDBRIDGEDLLC8025FCS      13
#define ENCAPIDBRIDGEDLLCFDDIFCS      14
#define ENCAPIDBRIDGEDLLC8026FCS      15
#define ENCAPIDBRIDGEDVC              16
#define ENCAPIDROUTEDVCPPPOA          17
#define ENCAPIDROUTEDVC               18
#define ENCAPIDNONE                   18      // no encapsulation needed
#define ENCAPIDUNKNOWN                0x1F    // unknown encapsulation

/* Currently not supported in the ATM AP for vx185 */
#define ENCAPIDROUTEDLLCPPPOA_IPV6    ENCAPIDUNKNOWN
#define ENCAPIDROUTEDVCPPPOA_IPV6     ENCAPIDUNKNOWN


#else //180/160

#define ENCAPIDROUTEDLLCPPPOA         0
#define ENCAPIDROUTEDLLCPPPOA_IPV6    1
#define ENCAPIDROUTEDLLCPPPOASESSION  2
#define ENCAPIDROUTEDLLCIPOA          3
#define ENCAPIDROUTEDLLCARPOA         4
#define ENCAPIDBRIDGEDLLC8023         5
#define ENCAPIDBRIDGEDLLC8021D        6
#define ENCAPIDBRIDGEDLLC8024         7
#define ENCAPIDBRIDGEDLLC8025         8
#define ENCAPIDBRIDGEDLLCFDDI         9
#define ENCAPIDBRIDGEDLLC8026         10
#define ENCAPIDBRIDGEDLLCFRAGMENT     11
#define ENCAPIDBRIDGEDLLC8023FCS      12
#define ENCAPIDBRIDGEDLLC8024FCS      13
#define ENCAPIDBRIDGEDLLC8025FCS      14
#define ENCAPIDBRIDGEDLLCFDDIFCS      15
#define ENCAPIDBRIDGEDLLC8026FCS      16
#define ENCAPIDBRIDGEDVC              17
#define ENCAPIDROUTEDVCPPPOA          18
#define ENCAPIDROUTEDVCPPPOA_IPV6     19
#define ENCAPIDROUTEDVC               20
#define ENCAPIDNONE                   20      // no encapsulation needed
#define ENCAPIDUNKNOWN                0x1F    // unknown encapsulation
#endif

// #define ENCAPINDVPN                   0x1000  // bit indicator for VPN

#endif // _ATMENCAP_H_
