/* =====================================================================
 * Copyright (C) 2006 Ikanos Communications 
 * See IKANOS_PROP_LICENSE.txt for license information.
 * =====================================================================
 */

/* =====================================================================
 * File name    : $RCSfile: apbm.h,v $
 * Description  : AHB and port information for the Vox200 Ethernet AP
 * =====================================================================
 */

#ifndef _APBM_H_
#define _APBM_H_

#include <sysconf.h>

#if defined(IS_VX185) && (IS_VX185)
#include "vx185/apvx185hw.h"
#include "vx185/apbm_vx185.h"
#else
#include "aphw.h"
#include "vx180/apbm_vx180.h"
#endif

#endif /* _APBM_H_ */
