/****************************************************************************************
 *                                                                                      *
 * Copyright (C) 2007 Ikanos Communications Inc. All rights reserved                    *
 *                                                                                      *
 * The  information  and  source  code contained  herein  is the  exclusive  property   *
 * of Ikanos Communications and may not be disclosed, examined or reproduced in whole   *
 * or in part without  the explicit written authorization from Ikanos Communications.   *
 *                                                                                      *
 ****************************************************************************************/

/****************************************************************************************
 *                                                                                      *
 * File name    : apcluster.h                                                         	*
 * Author       : Ikanos Communications  [ jpattar@ikanos.com ]				*
 * Version      :                                                                       *
 * Date         : 08th Oct 2009                                                         *
 * Description  : This file contains cluster structure. This structure will have      	*
 *                pointer to allocated cluster from BM and the state of the cluster.    *
 *                                                                                      *
 ****************************************************************************************/

/*_____________________________________Header Gaurd_____________________________________*/

#ifndef _APCLUSTER_H_
#define _APCLUSTER_H_

#define	RX_CLUSTER_BUSY  	2 	//Cluster is being used,  
#define	RX_CLUSTER_AVAILABLE  	1 	//BM as allocated a new cluster, ready to use
#define	RX_CLUSTER_REQUEST	0	//Done with cluster, request for new allocation



/*_________________________________struct apCluster_s__________________________________*/
typedef struct apCluster_s
{
	void		*cluster;	//SDRAM location
	unsigned char   state;          //States of apClusterState_e
}apCluster_t;

/*_____________________________________Header Gaurd_____________________________________*/
#endif	//_APCLUSTER_H_ end of header gaurd
